load ('Databases.mat');

A_f=xlsread('MatLab Import.xlsx', 'A_f', 'D6:BV4431');
A_bf_no0=xlsread('MatLab Import.xlsx', 'Abf_no0', 'D4:BV261');
y_norm=xlsread('MatLab Import.xlsx', 'y', 'E7:L77');
y_factors=xlsread('MatLab Import.xlsx', 'y_factors', 'D7:K77');
D_em_class=xlsread('MatLab Import.xlsx', 'P_class', 'C2:K4427');

%% Create A

[m n]=size(A_f);
A=zeros(m,m);

A_f(isnan(A_f))=0; % Making sure all empty fields are 0
D_em_class(isnan(D_em_class))=0; % Making sure all empty fields are 0

A(1:m,1:n)=A_f;
A(72:329,72:329)=A_exiopol;
A(330:m,330:m)=A_ecoinvent;

%% Create y

y=zeros(4426,8);
y(1:71,1:8)=y_norm.*y_factors;

%Clear unnecessary variables
clear A_ecoinvent;
clear A_exiopol;
clear A_f;
clear m;
clear n;
clear y_factors;
clear y_norm;

save ('analysis.mat');

disp('A and y created')
